View Issue Details

IDProjectCategoryView StatusLast Update
0004874Talermechant backendpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004874: Lookup by transaction ID
DescriptionThe backend should provide an API that allows contracts' lookups based on
their transaction ID. It can still hash transaction IDs and internally do
the lookup based on that hashcode, though.
TagsNo tags attached.

Activities

Marcello Stanisci

2017-02-04 10:51

manager   ~0011688

Alongside with this bug, there is the transaction_id's type in the
merchant's db to be changed from INT8 to VARCHAR.

Marcello Stanisci

2017-02-10 17:56

manager   ~0011709

Implemented in c892b80. Please note that transaction_id is *actually* order_id.

Issue History

Date Modified Username Field Change
2017-01-30 11:21 Marcello Stanisci New Issue
2017-01-30 11:21 Marcello Stanisci Status new => assigned
2017-01-30 11:21 Marcello Stanisci Assigned To => Marcello Stanisci
2017-02-04 10:51 Marcello Stanisci Note Added: 0011688
2017-02-04 10:53 Marcello Stanisci Priority normal => high
2017-02-10 17:56 Marcello Stanisci Status assigned => resolved
2017-02-10 17:56 Marcello Stanisci Resolution open => fixed
2017-02-10 17:56 Marcello Stanisci Note Added: 0011709
2017-02-13 13:47 Christian Grothoff Product Version => SVN HEAD
2017-02-13 13:47 Christian Grothoff Fixed in Version => 0.3
2017-02-13 13:47 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed